//#include "shared.h"
//#include "move.h"
//#include "relay.h"
//#include "lcd.h"
//#include "i2cManager.h"
//#include "init_hctl.h"
//#include "start_jack.h"
//#include "servo_control.h"

#include "robot.h"
#include "trajectory.h"
#include "stdio.h"  // printf
#include <stdlib.h> // malloc
#include <unistd.h> // sleep
//#include "periodServer.h"
#define DEBUG_MODULE_NAME MAIN
#include "debug.h"
#include "move.h"


extern void InitPlanetEtBras();

unsigned char thetaSup(double x, double y, double theta, void* params)
{
  double thetaRef = *((double*)params);
  return theta > thetaRef;
}

int main()
{
  double i = 1.0;
  double j = 2.0;
  int err;
  int nbrpoint=0;
    
  int k;
  double dummy_x;
  double dummy_y;
  double D,L;
  double gx,gy,gt;
  int i2c_LCD_channel;
  MovementDescriptor* spline;
  Point *splinePoints;
  Point directionDepart, directionFin;
  MovementDescriptor* rotation1;
  
Event endRotation1Event;
  MovementDescriptor* moveBack;
  Event endMoveBackEvent;
    
  debug_printf(DEBUG_MODULE_NAME,"Start soft\n");


  shared_initModule();
  i2c_initModule();
  
  INIThctl();

  move_initModule();

  if(1){ 
lcd_initModule();
lcd_clear();
printf("Hello");
lcd_printf("Hello\n");
sleep(3000);
lcd_cleanUpModule();
  }
 if(0){


 i2cSendServo(0x30,0x01,0x10);
 sleep(5);
 i2cSendServo(0x30,0x01,0xff);
 }
/*
   //registres
   0 : offset servo 0
   1 : position servo 0
   2 : offset servo 1
   ...
 
perso.easynet.fr/~chrisg
*/

  return 1;
}
