
#include <termios.h>
#include <stdio.h>

#include "robot.h"

int currentServo = 0;

struct termios confterm;

int main()
{
  char rep;

  i2c_initModule();
  electro_initModule();

/*passage en mode raw*/
  tcgetattr(0,&confterm);
  confterm.c_lflag = confterm.c_lflag & ~ICANON;
  confterm.c_cc[VMIN]=1;
  tcsetattr(0,TCSANOW,&confterm);

  while (1)
    {
      printf("\n");
      printf("ID electro : \n");
      read(0,&rep,1);
      switch (rep)
	{
	case 'q' :
	  {
	    return 0;
	    break;
	  }
	case '0' :
	case '1' :
	case '2' :
	case '3' :
	case '4' :
	case '5' :
	case '6' :
	case '7' :
	  {
	    onElectro(atoi(&rep));
	    break;
	  }
	}
    }
  
  electro_cleanUpModule();

  return 0;
}
