#include "robot.h"

#define DEBUG_MODULE_NAME EVENTS_TEST
#include "debug.h"
#include "events.h"

Event ev1,ev2,ev12,ev3,ev123;

void* threadBody(void* dummy)
{
  sleep(2);
  debug_printf(DEBUG_MODULE_NAME,"Signaling event 2\n");
  
  broadcastEvent(&ev2);

  sleep(2);
  debug_printf(DEBUG_MODULE_NAME,"Signaling event 1\n");

  broadcastEvent(&ev1);

   sleep(2);
  debug_printf(DEBUG_MODULE_NAME,"Signaling event 3\n");

  broadcastEvent(&ev3);

    sleep(2);
  debug_printf(DEBUG_MODULE_NAME,"Signaling event 3\n");

  broadcastEvent(&ev3);

  sleep(2);
  debug_printf(DEBUG_MODULE_NAME,"Signaling event 1\n");

  broadcastEvent(&ev1);

  return NULL;
}

int main()
{
  pthread_t thread;
  int i = 0;

  debug_printf(DEBUG_MODULE_NAME,"BEGIN\n");
  
  createEvent(&ev1,"EVENT_1");
  createEvent(&ev2,"EVENT_2");
  createEvent(&ev12,"EVENT_12");
  createEvent(&ev3,"EVENT_3");
  createEvent(&ev123,"EVENT_123");

  orEvents(&ev1, &ev2, &ev12);
  andEvents(&ev12, &ev3, &ev123);

  pthread_create(&thread, NULL, threadBody, NULL);

  while (i<2)
	{
	  waitEvent(&ev123);
	  debug_printf(DEBUG_MODULE_NAME,"Event arrived !!!\n");
	  i++;
	}

  debug_printf(DEBUG_MODULE_NAME,"END\n");

  return 0;
}
