#ifndef __WHICH_LINE__
#define __WHICH_LINE__

#include "lignes.h"
#include "buildTablignes.c"
#include <math.h>
#include <stdio.h>

//les paramtres du terrain
/* 

extern  double tailleXmin;  //en mm
extern  double tailleXmax;

extern  double tailleYmin;
extern  double tailleYmax;


  //les parametres de division
extern  double numdivx;
extern   double numdivy;
*/

struct ligne ** tableauDesLignes;
//extern double *** preTableauDesLignes;
//extern double * preTableauDesLignes;

struct ligne * ligne_proche(double x,double y, double alpha, struct capteur * capt){
  //cette methode choisit la position du front montant le plus probable
  //comme mesure, on ne prend pour l'instant que les fronts montants


  //comment choisir une ligne :  chaque point de l'espace correspond 
  //une ligne et une seule, on prend le front montant le plus probable (le plus proche) .

  struct ligne * l;

  double xcapteur,ycapteur;
  double indicex,indicey;
  int ix,iy;

  //xcapteur=x+capt->R*cos(alpha+capt->alpha);
  //ycapteur=y+capt->R*sin(alpha+capt->alpha);
  xcapteur=x;
  ycapteur=y;
  
  indicex=xcapteur-tailleXmin;
  indicex=indicex/(tailleXmax-tailleXmin);
  indicex=indicex*numdivx;
  ix=(int)indicex;
  
  indicey=ycapteur-tailleYmin;
  indicey=indicey/(tailleYmax-tailleYmin);
  indicey=indicey*numdivy;
  iy=(int)indicey;

  if(ix<0) ix=0;
  if(ix>=numdivx) ix=numdivx-1;

  if(iy<0) iy=0;
  if(iy>=numdivy) iy=numdivy-1;

  l=&(tableauDesLignes[ix][iy]);

  printf("position du capteur %f %f\n",xcapteur,ycapteur);
  printf("position dans le tableau %d %d\n",ix,iy);
  printf("droite a= %f b= %f c=%f\n",l->a,l->b,l->c);
  

  return l;

}

void buildTableauDesLignes(){
  int i;
  int j;
  //printf("creation du tableau des lignes\n");
  creationTableauDesLignes();
  //printf("reecriture dans une autre forme\n");

  tableauDesLignes=(struct ligne **)malloc(numdivx*sizeof(struct ligne*));
  for(j=0 ; j<numdivx ; j++){
    tableauDesLignes[j]=(struct ligne*)malloc(numdivy*sizeof(struct ligne));
  }
  

  for(i=0 ; i<numdivx ; i++){
    for(j=0 ; j<numdivy ; j++){
      tableauDesLignes[i][j].a=preTableauDesLignes[i][j][0];
      tableauDesLignes[i][j].b=preTableauDesLignes[i][j][1];
      tableauDesLignes[i][j].c=preTableauDesLignes[i][j][2];
      if(tableauDesLignes[i][j].a!=0 || tableauDesLignes[i][j].b!=0){
	printf(".");
      }
      else printf(" ");
    }
    printf("\n");


  }




}

void fusionMesureCapteurLigne(struct capteur * capt,double precision){//position du capteur dans le repre local du robot  
  struct ligne * l;
  double x,y,alpha;
 
  x=xcapt(capt);
  y=ycapt(capt);
  alpha=alphacapt(capt);
  l=ligne_proche(x,y, alpha,capt);
  if(l->a !=0 || l->b !=0 || l->c !=0){
  
    //printf("capte ligne %f %f %f\n",l->a,l->b,l->c);
    fusionMesureLigne(precision,l,capt);
  }

}



#endif
