 
#include <rtlinux/rtl_sched.h>

#include <linux/module.h>
#include <linux/cons.h>

#include "HCTLControl.h"
#include "servo_control.h"

#include "../include/linux/i2c.h"
#include "../include/linux/i2c-algo-pcf.h"

extern struct i2c_adapter pcf_isa_ops;

int init_module(void)
{
  hctlInit();
//  init_servos();

  pcf_init_8584(pcf_isa_ops.algo_data);

  printk("Real-time control module loaded. ");
  return 0;
}

int cleanup_module(void)
{ 
//  cleanup_servo();
  hctlCleanUp();
  printk("Real-time control module cleaned up.\n");

  return 0;
}
