#include <stdio.h>
#include "mbuff.h"
#include "shared.h"


volatile Global_State_T* globalState;

int shared_initModule()
{
  globalState = (volatile Global_State_T *) mbuff_alloc(GlobalStateAddr,
					       sizeof(Global_State_T));

  if (globalState==0)
    printf("*** WARNING *** GlobalState allocation failed\n");
  else
    bzero(globalState,sizeof(Global_State_T));
  

  return (globalState != NULL);
}
