#ifndef __SHARED_H__
#define __SHARED_H__

#include "servos.h"

//  ***TODO*** define it elsewhere (common with RT part)

#define GlobalStateAddr "SharedBlock"

typedef struct
{
  int rightLength; // length right wheel
  int leftLength;  // length left wheel

  int rightPWM;
  int leftPWM;

  int rightSpeedCons; // commanded right speed
  int leftSpeedCons;  // commanded left speed

  int requestHCTLReset;

  unsigned char ServosCons[NB_SERVO];
} Global_State_T;

extern volatile Global_State_T* globalState;

int shared_initModule();

#endif // __SHARED_H__
