#include <unistd.h>
#include <shared.h>

#include "init_hctl.h"
#include "i2cManager.h"

#define INITPERIOD 1000000
#define INITPERIODWAIT 50

void waitHCTLSoftInit()
{
  globalState->requestHCTLReset = 1;
  while (globalState->requestHCTLReset)
    {
      usleep (INITPERIODWAIT);
    }
}

void INIThctl ()
{ 
  i2cSend(I2C_INITHCTL_SLAVE, 0, 1 << I2C_INITHCTL_BIT);
  usleep (INITPERIOD);
  i2cSend(I2C_INITHCTL_SLAVE, 1 << I2C_INITHCTL_BIT, 1 << I2C_INITHCTL_BIT);
  usleep (INITPERIOD);
  
  printf ("Waiting inithctl\n");
  
  globalState->requestHCTLReset = 1;
  while (globalState->requestHCTLReset)
    {
      usleep (INITPERIODWAIT);
    }
}


