#include "motor.h"

#include "i2cManager.h"

#define DEBUG_MODULE_NAME ELECTRO
#include "debug.h"


void motorOn(unsigned char motorID, unsigned char motorSens)
{
  debug_printf(DEBUG_MODULE_NAME,"motorOn - motorID : %d - motorSens : %d\n",motorID, motorSens);
   i2cSend(I2C_MOTOR_CMD_SLAVE, (1 << motorSens) << (motorID *2), 3 << (motorID *2));
}

void motorOff(unsigned char motorID)
{
  debug_printf(DEBUG_MODULE_NAME,"motorOff - motorID : %d\n",motorID);
  i2cSend(I2C_MOTOR_CMD_SLAVE, 0, 3 << (motorID *2));
}
