#include "robot.h"
#include <termios.h>
#include <stdio.h>
int currentServo = 0;

struct termios confterm;

int main()
{
  char rep;
  
shared_initModule(); 

/*passage en mode raw*/
  tcgetattr(0,&confterm);
  confterm.c_lflag = confterm.c_lflag & ~ICANON;
  confterm.c_cc[VMIN]=1;
  tcsetattr(0,TCSANOW,&confterm);

  while (1)
    {
      printf("\n");
      printf("***************************************************************************\n");
      printf("ID %d - position : %d\n", currentServo, (globalState->ServosCons)[currentServo]);
      printf("***************************************************************************\n");
      printf("   - : decrement pos       + : increment pos     [0-7] : change servo ID     q : quit\n");
      read(0,&rep,1);
      switch (rep)
	{
	case 'q' :
	  {
	    return 0;
	    break;
	  }
	case '0' :
	case '1' :
	case '2' :
	case '3' :
	case '4' :
	case '5' :
	case '6' :
	case '7' :
	  {
	    currentServo = atoi(&rep);
	    break;
	  }
	case '+' :
	  {
	    if (globalState->ServosCons[currentServo]<255)
	    (globalState->ServosCons)[currentServo]+=1;	    
	    break;
	  }
	case '-' :
	  {
	    if (globalState->ServosCons[currentServo]>0)
	      globalState->ServosCons[currentServo]-=1;	    
	    break;
	  }
	  
	}
    }
  return 0;
}
