#ifndef E_S_H
#define E_S_H


/* definition du module permettant de controler            */
/* les signaux et les registres du hctl1000.               */
/* l'implementation est ici faite pour carte 68000 maatel  */

void ecrire_registre(int hctl, int adr, unsigned char val);
/* pre-requis : 0x00 <= adr <= 0x3C                        */
/* role : ecrit dans le registre adr du hctl la valeur val */
/*        en respectant le timing de lecture  du hctl      */
/*        dans le mode sans recouvrement ale/ce            */
/* consequent : neant 
                                    */

unsigned char lire_registre(int hctl, int adr);
/* pre-requis : 0x00 <= adr <= 0x3c                        */
/* role : lit dans le registre adr du hctl                 */
/*        en respectant le timing de lecture  du hctl      */
/*        dans le mode sans recouvrement ale/ce            */
/* consequent : la fonction retourne la valeur lue         */


#endif //E_S_H
