#ifndef __SPLINE__
#define __SPLINE__
#define smoothness 0 //-1..+1 (normalement 0 est bon)
#define decalage 0 //-1..+1 (normalement 0 est bon)
#define minLength 16000  //2000 /* regarde combien devant lui? */
#define deltaT 0.01

#include "point.h"

typedef struct SplineCurve {
  double nbPoints;
  struct Point* p;
  Point directionDepart;
  Point directionFin;
} SplineCurve;


/* donne un Catmull-Rom-Spline entre [0..curve.nbPoints-1] */
void spline (SplineCurve curve, double t, Point* result);

/* a partir du point current et du t actuell on trouve le prochain point */
double getNextPoint(SplineCurve curve, Point pos, double tStart);
#endif //__SPLINE__
