#include "relay.h"
#include "i2cManager.h"

void armMotor(unsigned char isOn)
{
  if (isOn==OFF)
    {
      printf("**************** MOTOR OFF **************\n");
      i2cSend(I2C_ARM_MOTOR_SLAVE,
	      1 << I2C_ARM_MOTOR_BIT,
	      1 << I2C_ARM_MOTOR_BIT);
    }
  else 
    {
      printf("**************** MOTOR ON **************\n");
      i2cSend(I2C_ARM_MOTOR_SLAVE,0,
	      1 << I2C_ARM_MOTOR_BIT);	      
    }
}

void bigStarPMIHook(unsigned char isOn)
{
    if (!isOn)
    i2cSend(I2C_BIG_STAR_PMI_HOOK_SLAVE,
	    1 << I2C_BIG_STAR_PMI_HOOK_BIT,
	    1 << I2C_BIG_STAR_PMI_HOOK_BIT);
  else
       i2cSend(I2C_BIG_STAR_PMI_HOOK_SLAVE,
	       0,
	       1 << I2C_BIG_STAR_PMI_HOOK_BIT);	    
}

void armHook(unsigned char isOn)
{
      if (!isOn)
    i2cSend(I2C_ARM_HOOK_SLAVE,
	    1 << I2C_ARM_HOOK_BIT,
	    1 << I2C_ARM_HOOK_BIT);
  else
       i2cSend(I2C_ARM_HOOK_SLAVE,
	       0,
	       1 << I2C_ARM_HOOK_BIT);	   
}

int relay_initModule()
{
}

int relay_cleanUpModule()
{
}

