#ifndef __SERVO_CONTROL_H__
#define __SERVO_CONTROL_H__

#include "servos.h"

#define LENGTH_CYCLE 1000

#define CMD_MIN 3
#define CMD_MAX 22

#define DAS08_BASE_PORT 0x330
#define DAS08_CONTROL_REGISTER_PORT DAS08_BASE_PORT+0x02

#define OFFSET_CONTROL_REGISTER 4

#define SERVOPRIORITY 100

void cleanup_servo();
void init_servos();
void set_pos_servo(int servoID, unsigned char pos);

#endif
