.include "1200def.inc"


;***** Global Register Variables


;***** Code

        rjmp    RESET           ;Reset Handle


;***** Code

RESET:

        ldi r16, $ff                    ; Port B (LEDs) output
        out DDRB, r16
	
start:		
	ldi r16,4                       ; begin with B0
forever:
        out PORTB, r16                  ; toggle LED

	rjmp    forever
	
        lsl r16                         ; next bit           
        breq start

        ldi r18,$ff
loop1:
	ldi r17,$ff                     ; loop 256 times
loop2:  
	nop                     
        dec r17
        brne loop2
        dec r1	8
	brne loop1
        
	rjmp    forever         ;Loop forever