#include "e_s.h"
#include "hct.h"


int lecture_position_1()
{
  int posi=0;
 struct trois_reg position1;
 pos_reelle(1,&position1);
 // printf("Pos1 : %x%x%x", position1.octet1, position1.octet2, position1.octet3);
// posi=0x00ffffff-((65536*position1.octet1)+ (256* position1.octet2)+  position1.octet3);
posi=0;
posi=posi|(int)position1.octet1;
posi=posi<<8;
posi=posi|(int)position1.octet2;
posi=posi<<8;
posi=posi|(int)position1.octet3;

 if (posi>0x00800000) {
   posi=~posi;
   posi=posi+1;
   posi=0x00ffffff&posi;
   posi=-posi;
 }
// posi=0x00ffffff-posi;
 //  printf("posi utilise en in roue 1=%d",posi);
return posi;
}

int lecture_position_2()
{
 int posi=0;
 struct trois_reg position2;
 pos_reelle(2,&position2);
 //  printf(" Pos2 : %x%x%x\n", position2.octet1, position2.octet2, position2.octet3);
//  posi=(65536*position2.octet1)+ (256* position2.octet2)+  position2.octet3;
posi=0;
posi=posi|(int)position2.octet1;
posi=posi<<8;
posi=posi|(int)position2.octet2;
posi=posi<<8;
posi=posi|(int)position2.octet3;

 if (posi>0x00800000) {
   posi=~posi;
   posi=posi+1;
   posi=0x00ffffff&posi;
/*   posi=-posi; */
 }
 else posi=-posi; // modifie 
 // printf("posi en int roue 2=%d",posi);

 return posi;
}


void reinitialisation_logiciel(int hctl)
{
  ecrire_registre(hctl,0x5,0x0);
}

void initialisation_repos(int hctl)
{
  ecrire_registre(hctl,0x5,0x1);
}

void alignement(int hctl)
{
  ecrire_registre(hctl,0x5,0x2);
}


void lire_config(int hctl,byte* status)
{
 *status=lire_registre(hctl,0x07);
}


void mode_commande(int hctl)
{
  ecrire_registre(hctl,0x5,0x3);
}


void com_position(int hctl)
{
  ecrire_registre(hctl,0x0,0x0);
  ecrire_registre(hctl,0x0,0x3);
  ecrire_registre(hctl,0x0,0x5);
}

void com_prop_vit(int hctl)
{
  ecrire_registre(hctl,0x0,0x0);
  ecrire_registre(hctl,0x0,0xB);
  ecrire_registre(hctl,0x0,0x5);
}

void com_int_vit(int hctl)
{
  ecrire_registre(hctl,0x0,0x0);
  ecrire_registre(hctl,0x0,0x3);
  ecrire_registre(hctl,0x0,0xD);
}

void com_prof_trap(int hctl)
{
  ecrire_registre(hctl,0x0,0x8);
  ecrire_registre(hctl,0x0,0x3);
  ecrire_registre(hctl,0x0,0x5);
}

void pos_com(int hctl,byte pos_fort,byte pos,byte pos_faible)
{
  ecrire_registre(hctl,0x0C,pos_fort);
  ecrire_registre(hctl,0x0D,pos);
  ecrire_registre(hctl,0x0E,pos_faible);
}

void pos_reelle(int hctl,struct trois_reg *pos)
{
 pos->octet3=lire_registre(hctl,0x14);         /* poids faible */
 pos->octet2=lire_registre(hctl,0x13);
 pos->octet1=lire_registre(hctl,0x12);         /* poids fort   */
}

void vit_reelle(int hctl,struct deux_reg *vit)
{
 vit->octet2=lire_registre(hctl,0x34);         /* poids faible */
 vit->octet1=lire_registre(hctl,0x35);         /* poids fort   */
}

void vit_com(int hctl,byte pos_fort,byte pos_faible)
{
  if (hctl==2) {
    ecrire_registre(hctl,0x24,-pos_fort);
    ecrire_registre(hctl,0x23,0xff);
  } else {
    ecrire_registre(hctl,0x24,pos_fort);
    ecrire_registre(hctl,0x23,0x00);
  }
}

void vit_com1(byte pos_fort, byte pos_faible,int signe1) {
  
  if (signe1<0)
    {
      ecrire_registre(1,0x24,~pos_fort);
      ecrire_registre(1,0x23,~pos_faible);
    } else {
      ecrire_registre(1,0x24,pos_fort);
      ecrire_registre(1,0x23,pos_faible);
    }
  /*  printf("v1 bit faible=%x, bit fort=%x\n",pos_faible,pos_fort);
      ecrire_registre(1,0x24,pos_fort);
      ecrire_registre(1,0x23,pos_faible);
  */
}

void vit_com2(byte pos_fort, byte pos_faible, int signe2) {
  
  if (signe2>0)
    {
      ecrire_registre(2,0x24,~pos_fort);
      ecrire_registre(2,0x23,~pos_faible);
    } else {
      ecrire_registre(2,0x24,pos_fort);
      ecrire_registre(2,0x23,pos_faible);
    }
 
  /*  printf("v2 bit faible=%x, bit fort=%x\n",pos_faible,pos_fort);
  ecrire_registre(1,0x24,pos_fort);
  ecrire_registre(1,0x23,pos_faible);
  */
}


void vit_com_int(int hctl,byte vit)
{
  if (hctl==2) ecrire_registre(hctl,0x3C,-vit);
  else ecrire_registre(hctl,0x3C,vit);
}

void acc_com_int(int hctl,byte acc_fort,byte acc_faible)
{
  ecrire_registre(hctl,0x27,acc_fort);
  ecrire_registre(hctl,0x26,acc_faible);
}

void pos_fin(int hctl,byte pos_fort,byte pos,byte pos_faible)
{
  ecrire_registre(hctl,0x2B,pos_fort);
  ecrire_registre(hctl,0x2A,pos);
  ecrire_registre(hctl,0x29,pos_faible);
}

void acc_trap(int hctl,byte acc_fort,byte acc_faible)
{
  ecrire_registre(hctl,0x27,acc_fort);
  ecrire_registre(hctl,0x26,acc_faible);
}

void vit_max_trap(int hctl,byte vit)
{
  ecrire_registre(hctl,0x28,vit);
}

void raz_dist(int hctl)
{
  ecrire_registre(hctl,0x13,00);
  ecrire_registre(hctl,0x14,00);
}

void filter(int hctl,byte A,byte B,byte K)
{
  ecrire_registre(hctl,0x20,A);
  ecrire_registre(hctl,0x21,B);
  ecrire_registre(hctl,0x22,K);
}

void timer(int hctl,byte T)
{
  ecrire_registre(hctl,0x0f,T);
}

void pwm(int hctl,byte offset)
{
  ecrire_registre(hctl,0x09,offset);
}

void config_out(int hctl,byte code)
{
  ecrire_registre(hctl,0x07,code);
}

void read_pwm(int hctl, byte* pwm )
{
  *pwm=lire_registre(hctl,0x09);
}

/* fin module hct.c */




