#ifndef __kalman_fifo__
#define __kalman_fifo__


struct kalman_fifo{

  int size;
  int data;
  int begin; //varie entre 0 et size (exclut)
  int end;
  //remarque, il n'y a rien qui spcifie le sens, on suppose que c'est toujours bon
  char* debut;

  pthread_mutex_t mutex;
  pthread_cond_t condition;


};

void destroyfifo(struct kalman_fifo * fifo);
struct kalman_fifo * createFifo(int size);

int putfifo(struct kalman_fifo * fifo,void * pointeur, int size);
void * readfifo(struct kalman_fifo * fifo,void * pointeur, int size);



#endif
