
#ifndef __LIGNES_KALMAN__HH
#define  __LIGNES_KALMAN__HH

#include "matrix.h"

struct ligne{
  double a;
  double b;
  double c;

};

struct capteur{
  double R;
  double alpha;

};



Mtx_Matrix *  jacobMesureLigne;  //(vecteurligne 3 colones)

double dist(struct ligne * lig , struct capteur * capt ,double x,double y,double alpha );


void fusionMesureLigne(double erreur,struct ligne * lig,struct capteur * capt);

void fusionMesureCapteurLigne(struct capteur * capt,double precision);
double xcapt(struct capteur * capt);
double ycapt(struct capteur * capt);
double alphacapt(struct capteur * capt);
void buildTableauDesLignes();

#endif




