
#include "projet_kalman.h"
#include "gonio2.h"
#include "lignes.h"
#include "test_lignes.c"
#include <math.h>
#include <stdio.h>


double x,y,alpha;
double dl=0.1;
double da=0.01;

int gonio=0;


double getDistOdo(){

  return dl;

};
double getAngleOdo(){

  return da;

}

void realPosupdate(){

  x=x+dl*cos(alpha);
  y=y+dl*sin(alpha);
  alpha=alpha+da;
  if(alpha>3.14) alpha=alpha-2*3.14;
  if(alpha<-3.14) alpha=alpha+2*3.14;


};
double sim_mesure(double xb, double yb)
{
  double t1;
  double m;

  double xr,yr,thetar,xp,yp,xcapteur,ycapteur;

 xr=x;
 yr=y;
 thetar=alpha;

  t1 = thetar+alpha2;
  xcapteur=R2*cos(t1)+xr;
  ycapteur=R2*sin(t1)+yr;


  xp=xb-xcapteur;
  yp=yb-ycapteur;


  printf("xb %f, yb %f m %f\n",xb,yb,m);
  m=atan(yp/xp);

 if(xp<=0 && yp>0) m=3.14+m;
 if(xp<=0 && yp<0) m=m-3.14;
 
 m=m-thetar;

 if(m> 3.14) m=m-2*3.14;
 if(m< -3.14) m=m+2*3.14;

 return m;
}


void simulate_mesure_gonio(){

  double xb,yb,m;

  if(gonio==2) gonio=0;
  else gonio++;

  if(gonio==1) {
    printf("xb=-100 yb=100\n");
    xb=-100;
    yb=100;
  }
  else{
    if(gonio==2){
    xb=1.;
    yb=100.;
    }
    else{
      printf("xb=100 yb=100\n");
    xb=100;
    yb=100;
    }
  }
  m=sim_mesure(xb,yb);
 printf("mesure : %f \n",m);
 fusionMesureGonio_2(m,xb,yb,0.01);

 return;

}
void printpositiongonio(){
  double t1,xe,ye,alphae;


  
  xe=getx();
  ye=gety();

  alphae=get_alpha();

  t1 = alpha2+alphae;
  printf("position estime du gonio : %f %f \n",xe+R2*cos(t1),ye+R2*sin(t1));
  t1 = alpha+alpha2;
  printf("position relle du gonio : %f %f \n",x+R2*cos(t1),y+R2*sin(t1));
 



}


int main(){

  int t;
  //printf("coucou\n");
  initKalman(0.1,0.1,0.1,1.0,0.1);
  x=1.1;
  y=0.11;
  alpha=0.41;

  //printf("coucou\n");

 for(t=0;t<1000;t++)
    {
     
      //printf("position update\n");
      positionUpdate();
      //printf("realposupdate\n");
      realPosupdate();
      //printf("ecriture de x y z \n");
      
      printf("xr=%f yr=%f alphar=%f\n",x,y,alpha);
      printf("x=%f y=%f alpha=%f\n",getx(),gety(),get_alpha());
      print_erreur();
      
      //printf("%f %f %f %f %f %f\n",x,y,alpha,getx(),gety(),get_alpha());
     
      //printf("simul mesure gonio\n");
      simulate_mesure_ligne();
    }
 

 return 1;

}








