#ifndef _GOTO_LIB_
#define _GOTO_LIB_

#include "robot_geometry.h"

#define NBR_POINT 30 /* nbr de point dans la spline*/

void CreateBumperEvents();
void DeleteBumperAcquisitions();
int GetBumperFromEvent(Event* origineevent);
// aller  une planete avec des splines puis utiliser le bras adapter pour poser un drapeau
int GotoPlanet(Objectif * planet);
int GotoPlanetWithNb(int nbrplanet);

// mouvement d'approche finale et dpose du drapeau le plus adapt (dfini dans Objectif)
int FinalApproach(int nbrplanet);
int FinalApproachToPlanet(Objectif * planet);

// juste pour ajouter un obstacle dans la base du moteur de trajectoires
void CollisionDetectedOnCaptor(int capteur);

// detection collision+evitement d'obstacle (EscapeCollision)
int Collision(int capteur);


// mouvement pour viter l'obstacle
void EscapeCollision(int capteur);

#endif
