 
#include <rtlinux/rtl_sched.h>

#include <linux/module.h>
#include <linux/cons.h>

#include "HCTLControl.h"
#include "servo_control.h"

int init_module(void)
{
  hctlInit();
  init_servos();
  printk("Real-time control module loaded. ");
  return 0;
}

int cleanup_module(void)
{ 
  cleanup_servo();
  hctlCleanUp();
  printk("Real-time control module cleaned up.\n");

  return 0;
}
