//#define MODULE
#include <linux/module.h>
#include <linux/cons.h>
#include <rtlinux/rtl_sched.h>

#include <mbuff.h>

#define NANOPERIODSERVO 200000

#include "servo_control.h"

pthread_t fSer;


void * Servo(void * junk)
{
	rtl_printf("Main servo loop launched\n");
	while (1)
	{
		pthread_wait_np();
		control_servo();
	}
}

int init_servo(void)
{



  struct sched_param params;
  
  pthread_attr_t att;

  hrtime_t now;

/*   shared_block = (volatile Shared_Block_T *) mbuff_alloc(SharedBlockAddr, */
/* 						    sizeof(Shared_Block_T)); */
/*   if( shared_block == NULL) { */
/*     printk("mbuff_alloc failed\n"); */
/*     return 1; */
/*   } */

  pthread_attr_init (&att);
  
//  pthread_attr_init(&att2);

  
  if (pthread_create(&fSer, &att, Servo, NULL))
    {
      printk("pthread_create failed\n"); 
      return 1;
    }

  params.sched_priority = 1;
    

  pthread_setschedparam(fSer, 3, &params);

  pthread_setfp_np(fSer,1);

  init_servos();


  now = gethrtime();

  pthread_make_periodic_np(fSer,now,NANOPERIODSERVO);
  
  printk("Servo loaded.\n");
  return 0;
}

int cleanup_servo(void)
{
  printk("Servo cleaned up.\n");


  pthread_delete_np(fSer);
  
  mbuff_free(SharedBlockAddr,(void*)shared_block);
  return 0;
}

