 /* module e_s.c  6 fevrier 1990  */ 

/* Changelog 
 *
 * 12/02/2000 Remove (comment) all printf stuff -- K
 * 
 * */

#define inline
#ifndef __hpux__
#include <asm/io.h>   /* for PC io access */
#endif 

// #include <stdio.h>
#include "e_s.h"    /* vue abstraite du module   */



#define   r_w1             0x10   // inverse
#define   ale1             0x20   // inverse
#define   cs1              0x01   // inverse
#define   oe1              0x02   // inverse


#define   r_w2             0x10   // inverse
#define   ale2             0x20   // inverse
#define   cs2              0x04   // inverse
#define   oe2              0x08   // inverse

#define   VIDE             0xFF
#define   ZERO             0x00


#define lec_bus       0x338
#define ecr_bus       0x338
#define ecr_controle  0x339
#define port_conf     0x33B
#define port_C        0x33A

#define port_a_out 0x81
#define port_a_in  0x91


void outport (unsigned short port, unsigned   char   value)
{
  outb_p (value, port);
}

int inport (unsigned short port)
{
  return inb_p (port);
}


unsigned char lecture_C()
{
  outport(0x33B, port_a_in);
  return inport(0x33A);
}

void rouleau_in()
{
  outport(0x33B, port_a_in);
  outport(0x33A, 0x10);
}

void rouleau_out()
{
  outport(0x33B, port_a_in);
  outport(0x33A, 0x30);
}

void rouleau_arret()
{
  outport(0x33B, port_a_in);
  outport(0x33A, 0x00);
}

void ecrire_registre(int hctl, int adr, unsigned char val)
{
  char r_w, ale, cs, oe;
//  unsigned char relecture;
  unsigned char valeur;
  
  if (hctl==1)
    {r_w=r_w1; ale=ale1; cs=cs1; oe=oe1;}
  else
    {r_w=r_w2; ale=ale2; cs=cs2; oe=oe2;}
  
//   printf("entre dans ecrire_registre adr=%d val = %d hctl= %d\n",adr,(int)val,hctl);
    // printf("outport(ecr_controle,VIDE\n");
  // getchar();
  valeur=inport(port_C);
  outport(port_conf, port_a_out);
  outport(port_C, valeur);
 // getchar();

// // printf("controle a 1\n");
  outport(ecr_controle,ZERO+r_w);  /* init        */

 // getchar();
// printf("r/w niv bas \n");
  outport(ecr_controle,ZERO+r_w);

 // getchar();
// printf("ecrit adresse registre\n");
  outport(ecr_bus,adr);        /* ecriture de l'adresse du registre     */

//  getchar();
 // printf("ecrit ale bas\n");
  outport(ecr_controle,ZERO + ale + r_w);  /* ALE passe au niveau bas */

  // getchar();
 // printf("ale niv haut\n");
  outport(ecr_controle,ZERO + r_w );       /* ALE repasse au niveau haut */

  // getchar();
 // printf("cs niv bas\n");
  outport(ecr_controle,ZERO + cs + r_w);       /* CS passe au niveau bas */

  // getchar();
 // printf("ecriture donnee\n");
  outport(ecr_bus,val);        /* ecriture de la donnee    */
 
  // getchar(); 
 // printf("cs niv haut\n");
  outport(ecr_controle,ZERO+r_w);
  // getchar();
            /* une nouvelle descente de ALE          */

   // printf("fin de ecrire_registre\n");
while (adr==ecr_bus)  
  if (lire_registre(hctl,adr)!=val)
    { ecrire_registre(hctl,adr,val);
//    printf("\n\n\n\n\nERREUR ECRITURE BUS\n\n\n\n\n\n\n\b");
    }
  else break;
 
 }


unsigned char lire_registre(int hctl, int adr)
 {
  unsigned char valeur;
  char r_w, ale, cs, oe;
  
  /*  printf("Momentanement INTERDIT..."); return 0; exit (-1);*/


  if (hctl==1)
    {r_w=r_w1; ale=ale1; cs=cs1; oe=oe1;}
  else
    {r_w=r_w2; ale=ale2; cs=cs2; oe=oe2;}

   // printf("entre dans lire_registre adr=%d  hctl= %d\n",adr,hctl);
   // printf("port_conf, port_a_out\n");

  valeur=inport(port_C);
  outport(port_conf, port_a_out);
  outport(port_C, valeur);

  /*  getchar();*/
 // printf("Initialisation\n");
  outport(ecr_controle,ZERO);       /* Initialisation                   */

  /*  getchar();*/
  // printf("Ecrire l'adresse sur le bus\n");
 outport(ecr_bus,adr);             /* Ecrire l'adresse sur le bus      */

 /* getchar();*/
  // printf("ALE passe au niveau bas\n");
 outport(ecr_controle,ZERO + ale); /* ALE passe au niveau bas          */

 /* getchar();*/
  // printf("ALE repasse au niveau haut\n");
 outport(ecr_controle,ZERO);       /* ALE repasse au niveau haut       */

 /* getchar();*/
  // printf("CS passe au niveau bas\n");
 outport(ecr_controle,ZERO + cs);  /* CS passe au niveau bas           */

 /*  getchar();*/
  // printf("config entree a-in\n\n");

 valeur=inport(port_C);
 outport(port_conf, port_a_in);
 outport(port_C, valeur);



 /*  getchar();*/
  // printf("CS repasse au niveau haut\n");
 outport(ecr_controle,ZERO);       /* CS repasse au niveau haut        */

 /*  getchar();*/
  // printf("OE passe au niveau bas next step lecture\n");
 outport(ecr_controle,ZERO + oe);  /* OE passe au niveau bas           */

 /*  getchar();*/
 // printf("Lecture de la donnee sur le bus\n");
  valeur=inport(lec_bus);          /* Lecture de la donne sur le bus  */
//   valeur=inport(lec_bus);  

   /*getchar();*/
  // printf("OE repasse au niveau haut\n"); 
  outport(ecr_controle,ZERO);       /* OE repasse au niveau haut        */
 // printf("la donnee lue est %d\n",(int)valeur);
 /*getchar();*/

 // printf("fin de lecture\n");
  return(valeur);

}

/* fin du module e_s.c  */


